MinimServer Forum

Full Version: After upgrade Synology DS2411+ to DSM6.0 required update of MinimServer not possible
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
I have upgraded my Synology NAS DS2411+ to DSM6.0. After that the MinimServer 0.8.3.1 in the package center showed me the message that an upgrade was necessary, but this was not possible through the package center. So I tried to install it manually. Synology NAS DS2411+ is based on an INTEL Atom D525 CPU which should support x86 and or x64 code (I think so ...). Trying to install the "MinimServer-0.8.3.4-x64.spk" manually results in a message: "The .... does not contain a digitally signature"?

Ok - So what I have to do to upgrade the MinimServer on my Synology NAS DS2411+ with DSM6.0?

thx
melgoth

allready installed Java 7 and Java 8
See step 3 of this section.
(29-03-2016 07:16)simoncn Wrote: [ -> ]See step 3 of this section.

Yes you are right, I haven't read this line Undecided
thx for your help
(29-03-2016 07:16)simoncn Wrote: [ -> ]See step 3 of this section.

Just to be clear here, after the upgrade to DSM6 should I do a manual reinstall? I'm also getting the combination of "update required" with no update button showing and I have the trust level set to any publisher.
thanks again
(30-03-2016 11:21)peter.rayner Wrote: [ -> ]Just to be clear here, after the upgrade to DSM6 should I do a manual reinstall? I'm also getting the combination of "update required" with no update button showing and I have the trust level set to any publisher.
thanks again

If you have an ARMv7 or Intel NAS, you need to uninstall any previous versions of Java and MinimServer and then reinstall Java and MinimServer using the instructions on this web page.
(30-03-2016 14:37)simoncn Wrote: [ -> ]
(30-03-2016 11:21)peter.rayner Wrote: [ -> ]Just to be clear here, after the upgrade to DSM6 should I do a manual reinstall? I'm also getting the combination of "update required" with no update button showing and I have the trust level set to any publisher.
thanks again

If you have an ARMv7 or Intel NAS, you need to uninstall any previous versions of Java and MinimServer and then reinstall Java and MinimServer using the instructions on this web page.

I also experienced this problem on my Synology 214se, which is ARMv7. After the DSM update, MinimServer wasn't running. I noticed that there was a Java update that had not run automatically, so I ran that and it didn't help anything. Then I went and followed the instructions to install MinimServer, namely install Java 8 package, then download Java from the oracle site and install it. After doing this (and changing the trust level) I was able to install the latest MinimServer using the manual procedure, not by clicking an update button. MinimServer it appears to be working.

But I have Java 7 and Java 8 both installed. How can I tell if my installation is good and I'm running MinimServer using the faster Oracle Java version? Is there any further action I should take? (Like should I un-install Java 7?)
(30-03-2016 15:18)adrian Wrote: [ -> ]But I have Java 7 and Java 8 both installed. How can I tell if my installation is good and I'm running MinimServer using the faster Oracle Java version? Is there any further action I should take? (Like should I un-install Java 7?)

I recommend that you uninstall Java7, then reboot the NAS.
(30-03-2016 14:37)simoncn Wrote: [ -> ]Great, that worked if not the easiest transition.
thanks again

(30-03-2016 11:21)peter.rayner Wrote: [ -> ]Just to be clear here, after the upgrade to DSM6 should I do a manual reinstall? I'm also getting the combination of "update required" with no update button showing and I have the trust level set to any publisher.
thanks again

If you have an ARMv7 or Intel NAS, you need to uninstall any previous versions of Java and MinimServer and then reinstall Java and MinimServer using the instructions on this web page.
(31-03-2016 12:15)peter.rayner Wrote: [ -> ]Great, that worked if not the easiest transition.
thanks again

I agree and it is unfortunate that Synology ignored my attempts before 6.0 was released to work with them to make the process smoother.
Reference URL's